<CsoundSynthesizer>

<CsOptions>
-W -o Cook_Bowed_String.wav
</CsOptions>

<CsScore>
; Head of the .sco file - typically the section up to the first i  instruction.
;
; Sometimes however i instructions for initialisation isntruments are needed - you can spot those
; as they will have different instrument numbers and be used only
; at the head of the file. These need to be included here and
; need to be done with #s before the instrument
; number, e.g. i#1 etc.

;
; Number tables with # as f#5 etc, which will be replaced by a
; unique table number for the instrument when placed in the orchestra.
;
; You can also add any i instruction for set up type instruments here
; - such as an instrument to set up a drum so that it can be struck later.
; by the drum stick instrument, when the notes are played.
; They will need #s as well.
f 1 0 16384 10 1

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	0.5
i1 	0.5 	0.5
i1 	1 	0.5
i1 	1.5 	0.5
i1 	2 	0.5
i1 	2.5 	0.5
i1 	3 	0.5
i1 	3.5 	0.5
i1 	4 	0.5
i1 	4.5 	0.5
i1 	5 	0.5
i1 	5.5 	0.5
i1 	6 	0.5
i1 	6.5 	0.5
i1 	7 	0.5
i1 	7.5 	0.5
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
AMP  CPS 12.7 60 50 6 4; bow position as percent, bow pressure percent decay percent, vibrato frequency (0 for none), vibrato amplitude (percent)
</CsInstrumentToPlay>

<CsPitchBendGlides>
* 
</CsPitchBendGlides>

<CsInstruments>

instr 1

kamp = p4; can get out of range samples if full scale


;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfreq = kp5

kpos = p6/100; position of the bow on the bar, in the range 0 to 1 

kbowpres = p7*5/100; a parameter controlling the pressure of the bow on the string. Values should be about 3. The useful range is approximately 1 to 5. 

iduration=p3
idecay=p8/100
kvibf = p9
kvamp = p10/1000

kenvelope  linen 1, 0, iduration, idecay
  audio      wgbow kamp, kfreq, kbowpres , kpos , kvibf, kvamp, 1

          out audio *kenvelope  
          endin
</CsInstruments>

</CsoundSynthesizer>
